+++ /dev/null
-#
-# Copyright (C) 2006-2009 OpenWrt.org
-#
-# This is free software, licensed under the GNU General Public License v2.
-# See /LICENSE for more information.
-#
-
-include $(TOPDIR)/rules.mk
-
-PKG_NAME:=irssi-glib1
-PKG_VERSION:=0.8.10
-PKG_RELEASE:=3
-
-PKG_SOURCE:=irssi-$(PKG_VERSION)a.tar.bz2
-PKG_SOURCE_URL:=http://irssi.org/files/
-PKG_MD5SUM:=38e616bccb6a34ff6d91690317c2fa19
-
-PKG_BUILD_DIR:=$(BUILD_DIR)/irssi-$(PKG_VERSION)
-
-include $(INCLUDE_DIR)/package.mk
-
-define Package/irssi-glib1
- SUBMENU:=Instant Messaging
- SECTION:=net
- CATEGORY:=Network
- DEPENDS:=+glib1 +libncurses
- TITLE:=glib1 console irc client
- URL:=http://irssi.org/
-endef
-
-define Build/Configure
- $(call Build/Configure/Default, \
- --with-perl=no \
- --with-glib1 \
- --with-glib-prefix="$(STAGING_DIR)/usr" \
- --with-textui \
- --without-terminfo \
- --without-bot \
- --without-file-offset-size \
- --without-ssl \
- --disable-ssl \
- --disable-proxy \
- )
-endef
-
-define Package/irssi-glib1/install
- $(INSTALL_DIR) $(1)/usr/bin
- $(INSTALL_BIN) $(PKG_BUILD_DIR)/src/fe-text/irssi $(1)/usr/bin/irssi-glib1
-endef
-
-$(eval $(call BuildPackage,irssi-glib1))
+++ /dev/null
---- a/configure
-+++ b/configure
-@@ -21848,13 +21848,6 @@ _ACEOF
-
- echo "$as_me:$LINENO: checking size of off_t" >&5
- echo $ECHO_N "checking size of off_t... $ECHO_C" >&6
--if test "$cross_compiling" = yes; then
-- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&5
--echo "$as_me: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
--else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
-@@ -21872,35 +21865,8 @@ cat >>conftest.$ac_ext <<_ACEOF
- }
-
- _ACEOF
--rm -f conftest$ac_exeext
--if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-- (eval $ac_link) 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-- (eval $ac_try) 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; }; then
--
-- sizeof_off_t=`cat conftestval`
-- rm -f conftestval
--
--else
-- echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--( exit $ac_status )
--
-- { { echo "$as_me:$LINENO: error: Unsupported off_t size" >&5
--echo "$as_me: error: Unsupported off_t size" >&2;}
-- { (exit 1); exit 1; }; }
--
--fi
-+ sizeof_off_t=8
- rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
- echo "$as_me:$LINENO: result: $sizeof_off_t" >&5
- echo "${ECHO_T}$sizeof_off_t" >&6
-
-@@ -22905,6 +22871,7 @@ _ACEOF
- echo "*** you can just unpack it to Irssi's source directory and"
- echo "*** Irssi will automatically compile and use it."
- echo
-+ exit 1
-
- glib_url=ftp://ftp.gtk.org/pub/gtk/v2.8/
- glib_file=glib-2.8.3.tar.gz